@font-face {
	font-family: 'ShareTech';
	src: url('/sharetech.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
}

* {
	font-family: 'ShareTech', monospace;
	cursor: url('/auto_cursor.png'), auto;
}

a:link, a:visited {
	color: #ee82ee;
	text-decoration: none;
	text-shadow: 2px 2px 4px #800080;
	cursor: url('/link_cursor.png'), auto;
}

a:hover {
	color: violet;
	text-decoration: underline;
	text-shadow: 2px 2px 4px purple;
	cursor: url('/link_cursor.png'), auto;
}

a:active {
	color: white;
	text-decoration: none;
	text-shadow: 2px 2px 4px gray;
	cursor: url('/link_cursor.png'), auto;
}

a img, button {
	cursor: url('/link_cursor.png'), auto;
}

input, textarea {
	cursor: url('/text_cursor.png'), auto;
}

p, h1, h2, h3, h4, h5, h6, li, b, i {
	cursor: url('/text_cursor.png'), text;
}

body::before, body::after {
	content: "";
	position: fixed;
	top: 0;
	bottom: 0;
	width: 15%;
	z-index: -1;
}

body::before {
	left: 0;
	background-image: url('/background.jpg');
	background-position: left;
}

body::after {
	right: 0;
	background-image: url('/background.jpg');
	background-position: right;
}

body {
    margin-top: 80px;
    margin-left: 20%;
    margin-right: 20%;
    background-color: black;
    color: #c0c0c0;
    font-size: 1.1rem;
}

.main {
	display: block;
	margin: 3rem auto 2rem auto;
	padding: 0 40px;
	border-radius: 20px;
	border: 2px solid white;
	text-align: left;
}

#welcome, #lentry, #pentry, #aboutme, #it_res_stud, #codecademy, #history, #special_thanks, #alisa_bp_rando,
#the_list, #lt_mmorpg, #link_buttons, #ss_links,
#five, #six, #seven, #nine,
#eleven, #twelve, #thirteen, #eighteen,
#twenty, #twentytwo, #twentythree, #twentyfive, #twentysix {
	margin: -1rem auto 1rem auto;
	padding: 0 1rem;
	background-color: black;
	font-size: 1.75rem;
	font-weight: bold;
	width: fit-content;
}

.certificates {
	margin-top: -15px;
}

ul, ol {
	line-height: 1.5rem;
}

.navigation {
    position: fixed;
    display: flex;
    gap: 50px;
    width: max-content;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    margin-top: -20px;
    padding: 30px 20px 15px 20px;
    border: 2px solid violet;
    border-radius: 20px;
    text-align: center;
    color: violet;
    background: black;
	z-index: 999;
}

.nav_buttons {
    display: flex;
}

button:disabled {
    opacity: 0.6;
    cursor: url('/auto_cursor.cur'), auto;
	transform: none !important;
	transition: none !important;
}

#sel-year, #sel-day {
    font-size: 16px;
    width: fit-content;
    height: auto;
    padding: 5px;
    background: violet;
    color: purple;
    border-radius: 10px;
	border: none;
}

#sel-month {
    font-size: 16px;
    width: 100px;
    height: auto;
    padding: 5px;
    background: violet;
    color: purple;
    border-radius: 10px;
	border: none;
}

#index, #about, #software, #linux_gaming, #web_links, #btn-go {
    font-size: 16px;
    width: fit-content;
    height: 30px;
    padding: 5px;
    background: violet;
    color: purple;
    border-radius: 10px;
	border: none;
}

.icon {
	width: auto;
	height: 32px;
}

.alisa_bp_rando {
	display: flex;
	align-items: center;
	gap: 2.5rem;
}

.pfp {
	border: #c0c0c0 1px solid;
	border-radius: 10px;
	height: 128px;
	width: auto;
}

.pfp_history {
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
	gap: 10px;
}

.bp_rando_ss {
	height: 500px;
	width: auto;
}

.screenshot {
	border:#800080 1px solid;
	border-radius: 10px;
	width: 600px;
	height: auto;
}

.logo {
	height: auto;
	max-height: 200px;
	width: auto;
	max-width: 100%;
}

.button {
	height: 31px;
	width: 88px;
}

footer {
	margin-top: -0.5rem;
	text-align: center;
	font-size: 0.75rem;
}

button:hover, .button:hover, .icon:hover {
	transform: scale(1.20);
	transition: transform 0.2s ease-in-out;
}

.screenshot .link_text {
	display: none;
}

.screenshot:hover .link_text {
	display: inline;
}

#ss_gallery a {
    position: relative;
    display: inline-block;
}

.link_text {
    display: none;
    position: absolute;
    bottom: 50%; 
    left: 50%;
    transform: translateX(-50%); 
    background-color: black; 
    padding: 5px 10px;
    border: 1px solid violet;
    white-space: nowrap;
}

#ss_gallery a:hover .link_text {
    display: block;
}

.m_nav {
	display: none;
}

#m_drop {
    font-size: 16px;
    width: fit-content;
    height: auto;
    padding: 5px;
    background: violet;
    color: purple;
    border-radius: 10px;
	border: none;
}

#m_aboutme, #m_it,#m_abptr, #m_mmorpg {
	display: none;
}

@media (max-width: 1200px) {
	body::before, body::after {
		width: 0;
	}

	body {
		margin-left: 10px;
		margin-right: 10px;
	}
}

@media (max-width: 720px) {
	.navigation {
		display: none;
	}

	.m_nav {
		display:block;
		text-align: center;
	}

	body {
		margin-top: 0;
	}

	#aboutme, #it_res_stud, #alisa_bp_rando, #lt_mmorpg {
		display: none;
	}

	#m_aboutme, #m_it, #m_abptr, #m_mmorpg {
		display: block;
		margin: -1rem auto 1rem auto;
		padding: 0 1rem;
		background-color: black;
		font-size: 1.75rem;
		font-weight: bold;
		width: fit-content;
	}

	.alisa_bp_rando {
		flex-direction: column;
	}

	.logo, .title, .screenshot, .bp_rando_ss, iframe {
		width: 100%;
		max-width: 100%;
		height: auto;
	}

	iframe {
		aspect-ratio: 16 / 9;
	}

	li {
		overflow-wrap: break-word;
		word-wrap: break-word; 
		word-break: break-word;
	}
}